Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSql Class Reference
[sql module]

The QSql class is a namespace for Qt SQL identifiers that need to be global-like. More...

`#include <qsql.h>`

List of all member functions.

## Public Members

- QSql ()
- enum Op { None = -1, Insert = 0, Update = 1, Delete = 2 }
- enum Location { BeforeFirst = -1, AfterLast = -2 }
- enum Confirm { Cancel = -1, No = 0, Yes = 1 }

## Detailed Description

The QSql class is a namespace for Qt SQL identifiers that need to be global-like.

Normally, you can ignore this class. Several Qt SQL classes inherit it, so all the identifiers in the Qt SQL namespace are visible to you without qualification.

See also Database Classes.

## Member Type Documentation

### QSql::Confirm

This enum type describes edit confirmations.

The currently defined values are:

- `QSql::Yes`
- `QSql::No`
- `QSql::Cancel`

### QSql::Location

This enum type describes SQL navigation locations.

The currently defined values are:

- `QSql::BeforeFirst`
- `QSql::AfterLast`

### QSql::Op

This enum type describes edit operations.

The currently defined values are:

- `QSql::None`
- `QSql::Insert`
- `QSql::Update`
- `QSql::Delete`

## Member Function Documentation

### QSql::QSql ()

Constructs a Qt SQL namepsace class

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.